Package com.macrofocus.high_d.scatterplot.swing

# Class AxisSelectionComboBoxModel

java.lang.Object
javax.swing.AbstractListModel
javax.swing.DefaultComboBoxModel
com.macrofocus.high_d.scatterplot.swing.AxisSelectionComboBoxModel

All Implemented Interfaces:
  `Serializable`, `ComboBoxModel`, `ListModel`, `MutableComboBoxModel`

public class AxisSelectionComboBoxModel extends DefaultComboBoxModel
Adapter class for interfacing Selection with Swing's ComboBox.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractListModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AxisSelectionComboBoxModel(MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel> selection, com.macrofocus.high_d.axis.group.AxisGroupModel<?,?> root)`
  `AxisSelectionComboBoxModel(MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel> selection, com.macrofocus.high_d.axis.group.AxisGroupModel<?,?> root, boolean addNull)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getElementAt(int index)`
  `int`
  `getIndexOf(Object anObject)`
  `int`
  `getSize()`

  ### Methods inherited from class javax.swing.DefaultComboBoxModel

  `addAll, addAll, addElement, getSelectedItem, insertElementAt, removeAllElements, removeElement, removeElementAt, setSelectedItem`

  ### Methods inherited from class javax.swing.AbstractListModel

  `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.ListModel

  `addListDataListener, removeListDataListener`

- ## Constructor Details

  - ### AxisSelectionComboBoxModel

    public AxisSelectionComboBoxModel(MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel> selection, com.macrofocus.high_d.axis.group.AxisGroupModel<?,?> root)

  - ### AxisSelectionComboBoxModel

    public AxisSelectionComboBoxModel(MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel> selection, com.macrofocus.high_d.axis.group.AxisGroupModel<?,?> root, boolean addNull)

- ## Method Details

  - ### getSize

    public int getSize()
    Specified by:
      `getSize` in interface `ListModel`
    Overrides:
      `getSize` in class `DefaultComboBoxModel`

  - ### getIndexOf

    public int getIndexOf(Object anObject)
    Overrides:
      `getIndexOf` in class `DefaultComboBoxModel`

  - ### getElementAt

    public Object getElementAt(int index)
    Specified by:
      `getElementAt` in interface `ListModel`
    Overrides:
      `getElementAt` in class `DefaultComboBoxModel`